about summary refs log tree commit diff stats
path: root/modules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-10-18 17:07:46 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-10-18 17:07:46 +0200
commitc52c7f314ccadcc2fcd91e28c8fd1b88f6d5ce0c (patch)
treee8b947710b467b32740598ff574982097836f66c /modules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh
parentchore(pkgs/yt): 1.2.1 -> 1.3.0 (diff)
downloadnixos-config-c52c7f314ccadcc2fcd91e28c8fd1b88f6d5ce0c.tar.gz
nixos-config-c52c7f314ccadcc2fcd91e28c8fd1b88f6d5ce0c.zip
refactor(modules): Move all system modules to `by-name`
From now on all modules should be added to the new `by-name` directory.
This should help remove the (superficial and utterly useless)
distinction between `home-manager` and `NixOS` modules.
Diffstat (limited to 'modules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh')
-rwxr-xr-xmodules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/modules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh b/modules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh
new file mode 100755
index 00000000..dadc96b0
--- /dev/null
+++ b/modules/home.legacy/conf/taskwarrior/hooks/scripts/on-add_sync-git-repo.sh
@@ -0,0 +1,42 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+# override shell lib output to stdout
+eprint() {
+    # shellcheck disable=SC2317
+    print "$@"
+}
+eprintln() {
+    # shellcheck disable=SC2317
+    println "$@"
+}
+
+enable_hook_dbg() {
+    debug_hooks="$(task _get rc.debug.hooks)"
+    [ "$debug_hooks" ] && [ "$debug_hooks" -ge 1 ] && dbg_enable
+}
+
+update_git_repo() {
+    task_data="$(task _get rc.data.location)"
+    [ "$task_data" ] || die "Taskwarrior should have a location set"
+
+    cd "$task_data" || die "(BUG?): Your data.location path is not accessable"
+
+    [ -d ./.git/ ] || git init
+
+    git add .
+    git commit --message="chore: Update" --no-gpg-sign
+}
+
+read -r new_task
+# We don't change the task, thus immediately return the json
+echo "$new_task"
+
+enable_hook_dbg
+update_git_repo
+
+exit 0
+
+# vim: ft=sh